Create a new Attachment
curl --request POST \
--url https://commerce.driv.ly/api/attachments \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"type": "<string>",
"file": "<string>",
"serviceOrders": "<string>",
"orderId": "<string>",
"transportServiceOrders": [
123
]
}
'import requests
url = "https://commerce.driv.ly/api/attachments"
payload = {
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"type": "<string>",
"file": "<string>",
"serviceOrders": "<string>",
"orderId": "<string>",
"transportServiceOrders": [123]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updatedAt: '<string>',
createdAt: '<string>',
name: '<string>',
type: '<string>',
file: '<string>',
serviceOrders: '<string>',
orderId: '<string>',
transportServiceOrders: [123]
})
};
fetch('https://commerce.driv.ly/api/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"doc": {
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"type": "<string>",
"file": "<string>",
"serviceOrders": "<string>",
"orderId": "<string>",
"transportServiceOrders": [
123
]
},
"message": "<string>"
}Attachments
Create a new Attachment
Create a new Attachment
POST
/
attachments
Create a new Attachment
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { attachments } from '@drivly/commerce'
const sdk = new SDK(...)
const attachments = await sdk.attachments.create(data: attachments): Promise<attachments>
Authorizations
Query Parameters
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
Body
application/json
⌘I